Update account
curl --request PATCH \
--url https://api.privy.io/v1/accounts/{account_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"display_name": "Updated Account Name",
"wallets_configuration": [
{
"chain_type": "ethereum"
},
{
"chain_type": "solana"
}
]
}
'HttpResponse<String> response = Unirest.patch("https://api.privy.io/v1/accounts/{account_id}")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"display_name\": \"Updated Account Name\",\n \"wallets_configuration\": [\n {\n \"chain_type\": \"ethereum\"\n },\n {\n \"chain_type\": \"solana\"\n }\n ]\n}")
.asString();const options = {
method: 'PATCH',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
display_name: 'Updated Account Name',
wallets_configuration: [{chain_type: 'ethereum'}, {chain_type: 'solana'}]
})
};
fetch('https://api.privy.io/v1/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/accounts/{account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'display_name' => 'Updated Account Name',
'wallets_configuration' => [
[
'chain_type' => 'ethereum'
],
[
'chain_type' => 'solana'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/accounts/{account_id}"
payload := strings.NewReader("{\n \"display_name\": \"Updated Account Name\",\n \"wallets_configuration\": [\n {\n \"chain_type\": \"ethereum\"\n },\n {\n \"chain_type\": \"solana\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"display_name": "<string>",
"wallets": [
{
"id": "<string>",
"chain_type": "ethereum",
"address": "<string>",
"custody": {
"provider": "<string>",
"provider_user_id": "<string>"
}
}
]
}Accounts
Update account
Update an account by account ID. Supports updating the display name and adding new wallets.
PATCH
/
v1
/
accounts
/
{account_id}
Update account
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
ID of the account.
Minimum string length:
1Body
application/json
- UpdateAccountFromWalletsConfigurationInput
- UpdateAccountFromWalletIdsInput
Input for updating a digital asset account with a wallets_configuration specification.
Response
200 - application/json
The updated account.
Was this page helpful?

